Valstorm LogoDev

public Endpoints

All endpoints for the public API group. Great for feeding into an LLM context.

GET

/v1/public/docs

Get Public Docs

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/public/marketing

Get Public Marketing

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/public/marketing/{organization_id}

Get Org Marketing

Parameters
organization_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/public/blog/{organization_id}

Get Org Blog

Parameters
organization_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/public/docs/{organization_id}/search

Search Public Docs

Parameters
organization_id*
in: path
type: string
q
in: query
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/public/documentation/{organization_id}/{category}

Get Public Documentation

Parameters
organization_id*
in: path
type: string
category*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/public/apps

Get Apps

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/public/pages/{org_name}

Get Pages

Parameters
org_name*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/public/question

Question Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "additionalProperties": true,
        "type": "object",
        "title": "Data"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/public/automation/{org_id}/{automation_id}

Run Public Automation Route

Parameters
org_id*
in: path
type: string
automation_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/public/document/{token}

Public Get Document

Publicly fetches the document to be signed, given a valid JWT token. Returns the base64 PDF and the fields assigned to the token's role.


Parameters
token*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/public/document/{token}/sign

Public Sign Document

Publicly submits signatures and applies them to the document.


Parameters
token*
in: path
type: string
Request Body
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/PublicSignPayload"
      }
    }
  }
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner